import '../../flutter_map.dart';

/// 地图SDK相关接口
abstract class MapSDKInterface {
  Future<String?> getPlatformName();

  Future<bool> init();

  ///interval 单位毫秒
  void receiveLocationStream({required MapLocationListener listener});

  Future<void> startLocation();
}
